game = require "src.state.game"
console = require "src.class.console"

local screenWidth = love.graphics.getWidth()
local screenHeight = love.graphics.getHeight()

local data
local socket = require "socket"
local address = "localhost"
local port = 2001
udp = socket.udp()
udp:settimeout(0)
udp:setpeername(address, port)

function love.update()
	data = udp:receive()
	game:update(udp)
	love.timer.sleep(0.016)
end

function love.draw()
	game:draw()
end

function love.keypressed(key)
	if key == "w" then
		game:keyWUp()
	elseif key == "s" then
		game:keySUp()
	elseif key == "a" then
		game:keyAUp()
	elseif key == "d" then
		game:keyDUp()
	end
end

function love.keyreleased(key)
	if key == "w" then
		game:keyWDown()
	elseif key == "s" then
		game:keySDown()
	elseif key == "a" then
		game:keyADown()
	elseif key == "d" then
		game:keyDDown()
	end
end