local player = {}

local playerPositionX = 0
local playerPositionY = 0
local speed = 1
local trigger = false
local playerName = os.time()
local udp

function player:update(udp)
	if trigger == true then
		trigger = false
		udp:send("updatePos "..playerName.." "..playerPositionX.." "..playerPositionY)
	end
end

function player:draw()
	love.graphics.setColor(143,179,57)
	love.graphics.rectangle("fill", playerPositionX, playerPositionY, 10, 10)
end

function player:getPositionX()
	return playerPositionX
end

function player:getPositionY()
	return playerPositionY
end

function player:changeSpeed(newSpeed)
	speed = newSpeed
end

function player:move(axis)
	if axis == "+x" then
		playerPositionX = playerPositionX - speed
		trigger = true
	elseif axis == "-x" then
		playerPositionX = playerPositionX + speed
		trigger = true
	elseif axis == "+y" then
		playerPositionY = playerPositionY - speed
		trigger = true
	elseif axis == "-y" then
		playerPositionY = playerPositionY + speed
		trigger = true
	end
end

return player